@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;800&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
img {
  max-width: 100%;
  display: block;
}
body {
  font-family: "Poppins", sans-serif;
  background-color: var(--bg);
  color: var(--text);
}
html {
  scroll-behavior: smooth;
}
:root {
  --primary: #2563eb;
  --primary-hover: #1a42b1;
  --bg: #050816;
  --section: #0b1220;
  --card: #111827;
  --text: #ffffff;
  --text-muted: #94a3b8;
  --success: #22c55e;
  --danger: #ef4444;
  --accent: #f59e0b;
  --radius-sm: 0.5rem;
  --radius-md: 0.75rem;
  --radius-lg: 1rem;
  --space-sm: 0.5rem;
  --space-xm: 0.25rem;
  --space-md: 1rem;
  --space-lg: 1.5rem;
  --space-xl: 2rem;
  --space-2xl: 3rem;
  --fw-light: 400;
  --fw-md: 600;
  --fw-bold: 800;
  --fs-xl: clamp(2rem, 5vw, 4rem);
  --fs-lg: clamp(1.5rem, calc(1vw + 0.5rem), 3rem);
  --fs-md: clamp(1.2rem, calc(0.5vw + 0.5rem), 2rem);
  --fs-sm: clamp(0.75rem, calc(0.5vw + 0.5rem), 1.5rem);
}

.container {
  max-width: 1345px;
  padding: 1rem;
  margin: 0 auto;
}

a {
  text-decoration: none;
  color: var(--text);
  display: block;
}
li {
  list-style: none;
}
header {
  position: relative;
}
header .container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
header ul {
  display: flex;
  align-items: center;
}
.logo {
  font-weight: var(--fw-md);
  font-size: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}
.logo i {
  transform: rotate(-23deg);
}
#menu-toggle {
  display: none;
}
.header-link {
  padding: var(--space-sm);
  transition: 0.3s;
}
@media (max-width: 650px) {
  ul {
    position: absolute;
    flex-direction: column;
    background-color: var(--bg);
    right: 1rem;
    visibility: hidden;
    opacity: 0;
    border-radius: var(--radius-md);
    display: block;
    overflow: hidden;
    width: 150px;
    transition: 0.3s;
    top: 4rem;
    z-index: 9999;
  }
  .menu-btn {
    width: 30px;
    height: 25px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
  }
  .menu-btn span {
    width: 100%;
    height: 3px;
    background-color: var(--text);
    border-radius: var(--radius-lg);
    transition: 0.3s;
  }
  #menu-toggle:checked ~ ul {
    opacity: 1;
    visibility: visible;
    top: 5rem;
    transition: 0.3s;
  }
  .header-link {
    border-bottom: var(--text-muted) 1px solid;
    text-align: left;
    padding: 1rem 1rem 1rem 2rem;
    transition: 0.3s;
  }
  header ul :last-child a {
    border: none;
  }
  header ul li {
    width: 100%;
    display: block;
    text-align: center;
  }
  .header-link:hover {
    background-color: var(--card);
  }
  #menu-toggle:checked + .menu-btn :first-child {
    transform: rotate(45deg) translate(8px, 8px);
  }
  #menu-toggle:checked + .menu-btn :nth-child(2) {
    opacity: 0;
  }
  #menu-toggle:checked + .menu-btn :last-child {
    transform: rotate(-45deg) translate(7px, -8px);
  }
}
@media (min-width: 650px) {
  .header-link {
    position: relative;
    margin-left: 0.5rem;
  }
  .header-link:hover {
    color: var(--primary);
  }
  .header-link:hover::before {
    width: 100%;
  }
  .header-link:before {
    position: absolute;
    content: "";
    width: 0;
    height: 3px;
    background-color: var(--primary);
    bottom: 0;
    left: 0;
    border-radius: var(--radius-lg);
    transition: 0.3s;
  }
}
.cta {
  margin: var(--space-xm);
  display: inline-block;
}
.hero {
  background: url("images/hero-img.webp") no-repeat center/cover;
  height: min(600px, calc(100svh - 100px));
  position: relative;
  display: flex;
  align-items: center;
  text-align: center;
}
.hero .container {
  z-index: 3;
}
.hero:after {
  background-color: rgb(0 0 0 / 50%);
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
}
.hero p {
  color: var(--text-muted);
  font-size: var(--fs-md);
  margin-bottom: var(--space-lg);
  max-width: 650px;
  justify-self: center;
}
button {
  font-family: inherit;
  cursor: pointer;
  border: none;
}
.cta {
  background-color: var(--primary);
  color: white;
  font-weight: var(--fw-md);
  padding: 0.9rem 1.6rem;
  border-radius: var(--radius-lg);
  transition: 0.3s;
  font-size: var(--fs-md);
}
.secondary {
  background: transparent;
  color: var(--text);
  box-shadow: 0 0 0 1px var(--text-muted);
}
.secondary:hover {
  background-color: var(--card);
}

.primary:hover {
  background-color: var(--primary-hover);
}
h1 {
  font-size: var(--fs-xl);
  margin-bottom: var(--space-sm);
}
@media (max-width: 410px) {
  .cta {
    width: 100%;
    margin-bottom: var(--space-sm);
  }
}
.tab-content .container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: var(--space-md);
}
.card {
  background-color: var(--card);
  padding: var(--space-sm);
  border-radius: var(--radius-sm);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.25);
}
.card img {
  border-radius: var(--radius-sm);
  max-width: 100%;
  margin-bottom: var(--space-md);
  /* padding: 10px; */
  object-fit: contain;
}
.price span {
  color: var(--accent);
}
.price {
  margin-bottom: var(--space-sm);
  color: var(--text);
}
.cart-btn {
  text-wrap:nowrap;
  font-size: var(--fs-md);
  padding: var(--space-md);
  background-color: var(--primary);
  color: var(--text);
  font-weight: var(--fw-md);
  border-radius: var(--radius-sm);
  transition: 0.3s;
  width: 100%;
}
.cart-btn:hover,
.heart-btn:hover {
  background-color: var(--primary-hover);
}
h3 {
  font-weight: var(--fw-md);
  cursor: pointer;
  line-height: 1.6;
}
.actions {
  display: flex;
  gap: var(--space-sm);
}
.heart-btn {
  background-color: var(--primary);
  border-radius: var(--radius-sm);
  padding: var(--space-md);
  font-size: var(--fs-);
  color: #fff;
  font-weight: var(--fw-bold);
}
@media (min-width: 2051px) {
  .cart-btn {
    font-size: 1rem;
  }

  @-moz-document url-prefix() {
    .secondary {
      box-shadow: 0 0 0 3px var(--text-muted);
    }
  }
}

input[type="radio"] {
  display: none;
}
.tab-container {
  display: flex;
  align-items: center;
  gap: var(--space-md);
  overflow: scroll;
  scrollbar-width: none;
  width: 100%;
  justify-content: center;
}

.tab-btn {
  padding: var(--space-md) var(--space-xl);
  background-color: var(--card);
  cursor: pointer;
  border-radius: var(--radius-md);
  font-size: var(--fs-md);
  font-weight: var(--fw-md);
  transition: 0.3s;
  color: var(--text-muted);
}
.tab-btn:hover {
  background-color: var(--primary-hover);
  color: white;
}

#tab1:checked ~ .tab-container label[for="tab1"],
#tab2:checked ~ .tab-container label[for="tab2"],
#tab3:checked ~ .tab-container label[for="tab3"],
#tab4:checked ~ .tab-container label[for="tab4"],
#tab5:checked ~ .tab-container label[for="tab5"] {
  background-color: var(--primary);
  color: #fff;
}
.tab-content {
  display: none;
}
#tab1:checked ~ #content1,
#tab2:checked ~ #content2,
#tab3:checked ~ #content3,
#tab4:checked ~ #content4,
#tab5:checked ~ #content5 {
  display: block;
}
.heading {
  padding: 0 0 var(--space-lg) 0;
}
.heading h2 {
  font-weight: var(--fw-bold);
  text-align: center;
  font-size: var(--fs-xl);
  letter-spacing: 1px;
}
.heading span {
  margin-top: -1rem;
  text-align: center;
  display: block;
  color: var(--text-muted);
  font-weight: var(--fw-light);
  font-size: var(--fs-sm);
  position: relative;
}

#shop,
#features,
#testmonials {
  padding: var(--space-xl) 0;
}

footer {
  padding-top: var(--space-xl);
}
#features,
#testmonials {
  background-color: var(--section);
}
.features .container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: var(--space-md);
}
.feature h3 {
  font-size: var(--fs-lg);
}
.feature {
  background-color: var(--bg);
  padding: var(--space-lg);
  border-radius: var(--radius-md);
  transition: 0.3s;
  box-shadow: 0 0 4px 2px rgba(0, 0, 0, 0.1);
}
.feature p {
  color: var(--text-muted);
}
.feature:hover {
  box-shadow: 0 0 0 2px rgba(255, 255, 255, 0.37);
  transform: translateY(-8px);
}
@media (min-width: 2000px) {
  .feature h3 {
    font-size: var(--fs-sm);
  }
  .hero p {
    max-width: 998px;
  }
}
::-webkit-scrollbar {
  width: 0.75rem;
}
::-webkit-scrollbar-track {
  background-color: #050816;
}
::-webkit-scrollbar-thumb {
  background-color: #0f192c;
}
::-webkit-scrollbar-thumb:hover {
  background-color: #182846;
}
.testmonials .container {
  display: grid;
  gap: var(--space-md);
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}
.testmonials h3 {
  line-height: 0.7;
  font-weight: var(--fw-md);
}
.role {
  color: var(--text-muted);
  margin-bottom: -0.25rem;
  font-weight: var(--fw-light);
  font-size: var(--fs-md);
}
.rating {
  color: var(--accent);
  margin-bottom: var(--spactexe-sm);
  font-size: var(--fs-sm);
}
.review {
  opacity: 0.9;
  font-weight: var(--fw-light);
  font-size: var(--fs-sm);
  line-height: 1.8;
}
.testmonials img {
  width: 80px;
  border-radius: 50%;
}
.testmonials .card {
  padding: var(--space-md);
  transition: 0.3s;
  box-shadow: 0 0 0 1px #ffffff15;
}

.testmonials .card:hover {
  padding: var(--space-md);
  box-shadow: 0 0 0 2px #ffffff30;
  transform: translateY(-5px);
}
@media (max-width: 850px) {
  .tab-container {
    justify-content: flex-start;
  }
  .heading span {
    margin-top: -0.5rem;
  }
}
.footer-header .logo {
  font-size: var(--fs-xl);
  width: fit-content;
  margin: 0 auto;
}
.footer-header p {
  color: var(--text-muted);
  text-align: center;
}
.links-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  row-gap: var(--space-2xl);
  align-items: baseline;
  padding: var(--space-2xl) 0;
  line-height: 1.8;
  justify-items: center;
}
.links-container a {
  display: block;
  opacity: 0.7;
  font-weight: var(--fw-light);
}
.links-container a:hover {
  text-decoration: underline;
}
@media (min-width: 485px) {
  .links-container a {
    width: fit-content;
  }
}
footer h3 {
  text-align: left;
  justify-self: start;
  font-size: var(--fs-lg);
  font-weight: var(--fw-light);
}
.copyright {
  font-size: var(--fs-md);
  text-align: center;
  color: var(--text-muted);
  padding: var(--space-lg);
  background-color: var(--section);
}
@media (max-width: 484px) {
  .links-container {
    justify-items: center;
    text-align: center;
  }
  .copyright {
    font-size: var(--fs-sm);
  }
  .links-container a {
    text-align: center;
  }
  .links-container h3 {
    text-align: center;
    justify-self: center;
  }
}
@media (min-width: 2400px) {
  .links-container h3 {
    font-size: var(--fs-md);
  }
}
